Package org.apache.solr.common.cloud

# Interface Replica.ReplicaStateProps

Enclosing class:
  `Replica`

public static interface Replica.ReplicaStateProps
JSON properties related to a replica's state.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASE_URL`
`static final String`
`COLLECTION`
`static final String`
`CORE_NAME`
`static final String`
`CORE_NODE_NAME`
`static final String`
`FORCE_SET_STATE`
`static final String`
`LEADER`
`static final String`
`NODE_NAME`
`static final String`
`PROPERTY_PREFIX`
`static final String`
`REPLICA_ID`
`static final String`
`SHARD_ID`
`static final String`
`STATE`
`static final String`
`TYPE`
`static final Set<String>`
`WELL_KNOWN_PROPS`

## Field Details

### COLLECTION

static final String COLLECTION

See Also:
  - Constant Field Values

### SHARD_ID

static final String SHARD_ID

See Also:
  - Constant Field Values

### REPLICA_ID

static final String REPLICA_ID

See Also:
  - Constant Field Values

### LEADER

static final String LEADER

See Also:
  - Constant Field Values

### STATE

static final String STATE

See Also:
  - Constant Field Values

### CORE_NAME

static final String CORE_NAME

See Also:
  - Constant Field Values

### CORE_NODE_NAME

static final String CORE_NODE_NAME

See Also:
  - Constant Field Values

### TYPE

static final String TYPE

See Also:
  - Constant Field Values

### NODE_NAME

static final String NODE_NAME

See Also:
  - Constant Field Values

### BASE_URL

static final String BASE_URL

See Also:
  - Constant Field Values

### PROPERTY_PREFIX

static final String PROPERTY_PREFIX

See Also:
  - Constant Field Values

### FORCE_SET_STATE

static final String FORCE_SET_STATE

See Also:
  - Constant Field Values

### WELL_KNOWN_PROPS

static final Set<String> WELL_KNOWN_PROPS